{% extends 'dashboard/dashboard_content.html' %}

{% block title %}
    View Quiz Marks
{% endblock %}

{% block rightPane %}

    <div class="x_panel">
        <div class="x_title">
            <h2>
                <i class="fa fa-plus-circle"></i>
                View Quiz Questions & Answers
            </h2>
            <div class="clearfix"></div>
        </div>

        <div class="x_content">
            <div class="row">
                <div role="alert" class="alert alert-success alert-dismissible fade in" align="center">
                    <h4>{{ staffCourseInstance.course }}</h4>
                    <h4>Quiz {{ unitTestNumber }}</h4>
                    {% if notWrappedQuiz %}
                        <h3>You have not the attended Quiz</h3>
                    {% else %}
                        <h3>Your have obtained <strong>{{ totalMarks }}</strong> marks out of
                            <strong>{{ totalQuestions }}</strong></h3>
                    {% endif %}
                </div>
            </div>
        </div>
        <div class="form-horizontal form-label-left">
            {% for question in quizQuestionAnswerList %}
                <table class="table table-bordered"
                        {% if question.rightAnswer == question.studentAnswer %}
                       style="background-color: #a6ff9d;color: #000000;table-layout: fixed"
                        {% elif question.studentAnswer %}
                       style="background-color: #ff947c;color: #000000;table-layout: fixed"
                        {% else %}
                       style="background-color: #fff3a7;color: #000000;table-layout: fixed"
                        {% endif %}
                >
                    <tr>
                        <td style="width: 10%; font-weight: 600" align="center">
                            Q {{ question.questionNumber }}</td>
                        <th style="word-wrap: break-word">{{ question.question }}</th>
                    </tr>
                    {% if question.option1 %}
                        <tr>
                            <td style="width: 10%;{% if question.rightAnswer == 1 %}font-weight: bolder{% endif %}"
                                align="center">
                                {% if question.studentAnswer == 1 %}
                                    <i class="fa fa-check"></i>
                                {% endif %}
                                Option 1
                            </td>
                            <td style="word-wrap: break-word"
                                style="{% if question.rightAnswer == 1 %}font-weight: bolder{% endif %}">{{ question.option1 }}</td>
                        </tr>
                    {% endif %}
                    {% if question.option2 %}
                        <tr>
                            <td style="width: 10%;{% if question.rightAnswer == 2 %}font-weight: bolder{% endif %}"
                                align="center">
                                {% if question.studentAnswer == 2 %}
                                    <i class="fa fa-check"></i>
                                {% endif %}
                                Option 2
                            </td>
                            <td style="word-wrap: break-word"
                                style="{% if question.rightAnswer == 2 %}font-weight: bolder{% endif %}">{{ question.option2 }}</td>
                        </tr>
                    {% endif %}
                    {% if question.option3 %}
                        <tr>
                            <td style="width: 10%;{% if question.rightAnswer == 3 %}font-weight: bolder{% endif %}"
                                align="center">
                                {% if question.studentAnswer == 3 %}
                                    <i class="fa fa-check"></i>
                                {% endif %}
                                Option 3
                            </td>
                            <td style="word-wrap: break-word"
                                style="{% if question.rightAnswer == 3 %}font-weight: bolder{% endif %}">{{ question.option3 }}</td>
                        </tr>
                    {% endif %}
                    {% if question.option4 %}
                        <tr>
                            <td style="width: 10%;{% if question.rightAnswer == 4 %}font-weight: bolder{% endif %}"
                                align="center">
                                {% if question.studentAnswer == 4 %}
                                    <i class="fa fa-check"></i>
                                {% endif %}
                                Option 4
                            </td>
                            <td style="word-wrap: break-word"
                                style="{% if question.rightAnswer == 4 %}font-weight: bolder{% endif %}">{{ question.option4 }}</td>
                        </tr>
                    {% endif %}
                    {% if question.option5 %}
                        <tr>
                            <td style="width: 10%;{% if question.rightAnswer == 5 %}font-weight: bolder{% endif %}"
                                align="center">
                                {% if question.studentAnswer == 5 %}
                                    <i class="fa fa-check"></i>
                                {% endif %}
                                Option 5
                            </td>
                            <td style="word-wrap: break-word"
                                style="{% if question.rightAnswer == 5 %}font-weight: bolder{% endif %}">{{ question.option5 }}</td>
                        </tr>
                    {% endif %}
                </table>
            {% endfor %}
        </div>
    </div>

{% endblock %}